<html>
<head>
<title>Ogre::GLFBOManager::RBFormat Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLFBOManager::RBFormat Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLFBOManager::RBFormat" -->
<p>Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.  
 <a href="structOgre_1_1GLFBOManager_1_1RBFormat.html#details">More...</a></p>

<p><a href="structOgre_1_1GLFBOManager_1_1RBFormat-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#a9a8b33c84217c07b63b582245c02ad06">RBFormat</a> (GLenum inFormat, size_t inWidth, size_t inHeight, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#ab7d4ccf764707dfc1ae2dc3f47807ba1">operator&lt;</a> (const <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a> &amp;other) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLenum&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aded84740b0039491b9b9ef952bae0424">format</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aab71d4bc10eca58e35769b42d5f3fce6">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aab72c84bbeba918c202257a78b3e1f83">height</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#a7c19291843960fc1d654a4107bd4b861">samples</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format. </p>
<p>This can save a lot of memory when a large amount of rendertargets are used. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00135">135</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9a8b33c84217c07b63b582245c02ad06"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::RBFormat" ref="a9a8b33c84217c07b63b582245c02ad06" args="(GLenum inFormat, size_t inWidth, size_t inHeight, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#a9a8b33c84217c07b63b582245c02ad06">Ogre::GLFBOManager::RBFormat::RBFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>inFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>inWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>inHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00137">137</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab7d4ccf764707dfc1ae2dc3f47807ba1"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::operator&lt;" ref="ab7d4ccf764707dfc1ae2dc3f47807ba1" args="(const RBFormat &amp;other) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::GLFBOManager::RBFormat::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00145">145</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00140">format</a>, <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00142">height</a>, <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00143">samples</a>, and <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00141">width</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aded84740b0039491b9b9ef952bae0424"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::format" ref="aded84740b0039491b9b9ef952bae0424" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLenum <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aded84740b0039491b9b9ef952bae0424">Ogre::GLFBOManager::RBFormat::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00140">140</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00145">operator&lt;()</a>.</p>

</div>
</div>
<a class="anchor" id="aab72c84bbeba918c202257a78b3e1f83"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::height" ref="aab72c84bbeba918c202257a78b3e1f83" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aab72c84bbeba918c202257a78b3e1f83">Ogre::GLFBOManager::RBFormat::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00142">142</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00145">operator&lt;()</a>.</p>

</div>
</div>
<a class="anchor" id="a7c19291843960fc1d654a4107bd4b861"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::samples" ref="a7c19291843960fc1d654a4107bd4b861" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#a7c19291843960fc1d654a4107bd4b861">Ogre::GLFBOManager::RBFormat::samples</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00143">143</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00145">operator&lt;()</a>.</p>

</div>
</div>
<a class="anchor" id="aab71d4bc10eca58e35769b42d5f3fce6"></a><!-- doxytag: member="Ogre::GLFBOManager::RBFormat::width" ref="aab71d4bc10eca58e35769b42d5f3fce6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html#aab71d4bc10eca58e35769b42d5f3fce6">Ogre::GLFBOManager::RBFormat::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00141">141</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

<p>Referenced by <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00145">operator&lt;()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
